/*******************************************************************************
* File Name: PSFB_CTRL_Write.h  
* Version 1.80
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_CONTROL_REG_PSFB_CTRL_Write_H) /* CY_CONTROL_REG_PSFB_CTRL_Write_H */
#define CY_CONTROL_REG_PSFB_CTRL_Write_H

#include "cytypes.h"

    
/***************************************
*     Data Struct Definitions
***************************************/

/* Sleep Mode API Support */
typedef struct
{
    uint8 controlState;

} PSFB_CTRL_Write_BACKUP_STRUCT;


/***************************************
*         Function Prototypes 
***************************************/

void    PSFB_CTRL_Write_Write(uint8 control) ;
uint8   PSFB_CTRL_Write_Read(void) ;

void PSFB_CTRL_Write_SaveConfig(void) ;
void PSFB_CTRL_Write_RestoreConfig(void) ;
void PSFB_CTRL_Write_Sleep(void) ; 
void PSFB_CTRL_Write_Wakeup(void) ;


/***************************************
*            Registers        
***************************************/

/* Control Register */
#define PSFB_CTRL_Write_Control        (* (reg8 *) PSFB_CTRL_Write_Sync_ctrl_reg__CONTROL_REG )
#define PSFB_CTRL_Write_Control_PTR    (  (reg8 *) PSFB_CTRL_Write_Sync_ctrl_reg__CONTROL_REG )

#endif /* End CY_CONTROL_REG_PSFB_CTRL_Write_H */


/* [] END OF FILE */
