#ifndef INCLUDED_CYFITTER_H
#define INCLUDED_CYFITTER_H
#include "cydevice.h"
#include "cydevice_trm.h"

/* POT */
#define POT__0__INTTYPE CYREG_PICU6_INTTYPE5
#define POT__0__MASK 0x20u
#define POT__0__PC CYREG_PRT6_PC5
#define POT__0__PORT 6u
#define POT__0__SHIFT 5u
#define POT__AG CYREG_PRT6_AG
#define POT__AMUX CYREG_PRT6_AMUX
#define POT__BIE CYREG_PRT6_BIE
#define POT__BIT_MASK CYREG_PRT6_BIT_MASK
#define POT__BYP CYREG_PRT6_BYP
#define POT__CTL CYREG_PRT6_CTL
#define POT__DM0 CYREG_PRT6_DM0
#define POT__DM1 CYREG_PRT6_DM1
#define POT__DM2 CYREG_PRT6_DM2
#define POT__DR CYREG_PRT6_DR
#define POT__INP_DIS CYREG_PRT6_INP_DIS
#define POT__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU6_BASE
#define POT__LCD_COM_SEG CYREG_PRT6_LCD_COM_SEG
#define POT__LCD_EN CYREG_PRT6_LCD_EN
#define POT__MASK 0x20u
#define POT__PORT 6u
#define POT__PRT CYREG_PRT6_PRT
#define POT__PRTDSI__CAPS_SEL CYREG_PRT6_CAPS_SEL
#define POT__PRTDSI__DBL_SYNC_IN CYREG_PRT6_DBL_SYNC_IN
#define POT__PRTDSI__OE_SEL0 CYREG_PRT6_OE_SEL0
#define POT__PRTDSI__OE_SEL1 CYREG_PRT6_OE_SEL1
#define POT__PRTDSI__OUT_SEL0 CYREG_PRT6_OUT_SEL0
#define POT__PRTDSI__OUT_SEL1 CYREG_PRT6_OUT_SEL1
#define POT__PRTDSI__SYNC_OUT CYREG_PRT6_SYNC_OUT
#define POT__PS CYREG_PRT6_PS
#define POT__SHIFT 5u
#define POT__SLW CYREG_PRT6_SLW

/* EPWM1A */
#define EPWM1A__0__INTTYPE CYREG_PICU12_INTTYPE4
#define EPWM1A__0__MASK 0x10u
#define EPWM1A__0__PC CYREG_PRT12_PC4
#define EPWM1A__0__PORT 12u
#define EPWM1A__0__SHIFT 4u
#define EPWM1A__AG CYREG_PRT12_AG
#define EPWM1A__BIE CYREG_PRT12_BIE
#define EPWM1A__BIT_MASK CYREG_PRT12_BIT_MASK
#define EPWM1A__BYP CYREG_PRT12_BYP
#define EPWM1A__DM0 CYREG_PRT12_DM0
#define EPWM1A__DM1 CYREG_PRT12_DM1
#define EPWM1A__DM2 CYREG_PRT12_DM2
#define EPWM1A__DR CYREG_PRT12_DR
#define EPWM1A__INP_DIS CYREG_PRT12_INP_DIS
#define EPWM1A__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU12_BASE
#define EPWM1A__MASK 0x10u
#define EPWM1A__PORT 12u
#define EPWM1A__PRT CYREG_PRT12_PRT
#define EPWM1A__PRTDSI__DBL_SYNC_IN CYREG_PRT12_DBL_SYNC_IN
#define EPWM1A__PRTDSI__OE_SEL0 CYREG_PRT12_OE_SEL0
#define EPWM1A__PRTDSI__OE_SEL1 CYREG_PRT12_OE_SEL1
#define EPWM1A__PRTDSI__OUT_SEL0 CYREG_PRT12_OUT_SEL0
#define EPWM1A__PRTDSI__OUT_SEL1 CYREG_PRT12_OUT_SEL1
#define EPWM1A__PRTDSI__SYNC_OUT CYREG_PRT12_SYNC_OUT
#define EPWM1A__PS CYREG_PRT12_PS
#define EPWM1A__SHIFT 4u
#define EPWM1A__SIO_CFG CYREG_PRT12_SIO_CFG
#define EPWM1A__SIO_DIFF CYREG_PRT12_SIO_DIFF
#define EPWM1A__SIO_HYST_EN CYREG_PRT12_SIO_HYST_EN
#define EPWM1A__SIO_REG_HIFREQ CYREG_PRT12_SIO_REG_HIFREQ
#define EPWM1A__SLW CYREG_PRT12_SLW

/* EPWM1B */
#define EPWM1B__0__INTTYPE CYREG_PICU12_INTTYPE5
#define EPWM1B__0__MASK 0x20u
#define EPWM1B__0__PC CYREG_PRT12_PC5
#define EPWM1B__0__PORT 12u
#define EPWM1B__0__SHIFT 5u
#define EPWM1B__AG CYREG_PRT12_AG
#define EPWM1B__BIE CYREG_PRT12_BIE
#define EPWM1B__BIT_MASK CYREG_PRT12_BIT_MASK
#define EPWM1B__BYP CYREG_PRT12_BYP
#define EPWM1B__DM0 CYREG_PRT12_DM0
#define EPWM1B__DM1 CYREG_PRT12_DM1
#define EPWM1B__DM2 CYREG_PRT12_DM2
#define EPWM1B__DR CYREG_PRT12_DR
#define EPWM1B__INP_DIS CYREG_PRT12_INP_DIS
#define EPWM1B__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU12_BASE
#define EPWM1B__MASK 0x20u
#define EPWM1B__PORT 12u
#define EPWM1B__PRT CYREG_PRT12_PRT
#define EPWM1B__PRTDSI__DBL_SYNC_IN CYREG_PRT12_DBL_SYNC_IN
#define EPWM1B__PRTDSI__OE_SEL0 CYREG_PRT12_OE_SEL0
#define EPWM1B__PRTDSI__OE_SEL1 CYREG_PRT12_OE_SEL1
#define EPWM1B__PRTDSI__OUT_SEL0 CYREG_PRT12_OUT_SEL0
#define EPWM1B__PRTDSI__OUT_SEL1 CYREG_PRT12_OUT_SEL1
#define EPWM1B__PRTDSI__SYNC_OUT CYREG_PRT12_SYNC_OUT
#define EPWM1B__PS CYREG_PRT12_PS
#define EPWM1B__SHIFT 5u
#define EPWM1B__SIO_CFG CYREG_PRT12_SIO_CFG
#define EPWM1B__SIO_DIFF CYREG_PRT12_SIO_DIFF
#define EPWM1B__SIO_HYST_EN CYREG_PRT12_SIO_HYST_EN
#define EPWM1B__SIO_REG_HIFREQ CYREG_PRT12_SIO_REG_HIFREQ
#define EPWM1B__SLW CYREG_PRT12_SLW

/* EPWM2A */
#define EPWM2A__0__INTTYPE CYREG_PICU12_INTTYPE6
#define EPWM2A__0__MASK 0x40u
#define EPWM2A__0__PC CYREG_PRT12_PC6
#define EPWM2A__0__PORT 12u
#define EPWM2A__0__SHIFT 6u
#define EPWM2A__AG CYREG_PRT12_AG
#define EPWM2A__BIE CYREG_PRT12_BIE
#define EPWM2A__BIT_MASK CYREG_PRT12_BIT_MASK
#define EPWM2A__BYP CYREG_PRT12_BYP
#define EPWM2A__DM0 CYREG_PRT12_DM0
#define EPWM2A__DM1 CYREG_PRT12_DM1
#define EPWM2A__DM2 CYREG_PRT12_DM2
#define EPWM2A__DR CYREG_PRT12_DR
#define EPWM2A__INP_DIS CYREG_PRT12_INP_DIS
#define EPWM2A__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU12_BASE
#define EPWM2A__MASK 0x40u
#define EPWM2A__PORT 12u
#define EPWM2A__PRT CYREG_PRT12_PRT
#define EPWM2A__PRTDSI__DBL_SYNC_IN CYREG_PRT12_DBL_SYNC_IN
#define EPWM2A__PRTDSI__OE_SEL0 CYREG_PRT12_OE_SEL0
#define EPWM2A__PRTDSI__OE_SEL1 CYREG_PRT12_OE_SEL1
#define EPWM2A__PRTDSI__OUT_SEL0 CYREG_PRT12_OUT_SEL0
#define EPWM2A__PRTDSI__OUT_SEL1 CYREG_PRT12_OUT_SEL1
#define EPWM2A__PRTDSI__SYNC_OUT CYREG_PRT12_SYNC_OUT
#define EPWM2A__PS CYREG_PRT12_PS
#define EPWM2A__SHIFT 6u
#define EPWM2A__SIO_CFG CYREG_PRT12_SIO_CFG
#define EPWM2A__SIO_DIFF CYREG_PRT12_SIO_DIFF
#define EPWM2A__SIO_HYST_EN CYREG_PRT12_SIO_HYST_EN
#define EPWM2A__SIO_REG_HIFREQ CYREG_PRT12_SIO_REG_HIFREQ
#define EPWM2A__SLW CYREG_PRT12_SLW

/* EPWM2B */
#define EPWM2B__0__INTTYPE CYREG_PICU12_INTTYPE7
#define EPWM2B__0__MASK 0x80u
#define EPWM2B__0__PC CYREG_PRT12_PC7
#define EPWM2B__0__PORT 12u
#define EPWM2B__0__SHIFT 7u
#define EPWM2B__AG CYREG_PRT12_AG
#define EPWM2B__BIE CYREG_PRT12_BIE
#define EPWM2B__BIT_MASK CYREG_PRT12_BIT_MASK
#define EPWM2B__BYP CYREG_PRT12_BYP
#define EPWM2B__DM0 CYREG_PRT12_DM0
#define EPWM2B__DM1 CYREG_PRT12_DM1
#define EPWM2B__DM2 CYREG_PRT12_DM2
#define EPWM2B__DR CYREG_PRT12_DR
#define EPWM2B__INP_DIS CYREG_PRT12_INP_DIS
#define EPWM2B__INTTYPE_BASE CYDEV_PICU_INTTYPE_PICU12_BASE
#define EPWM2B__MASK 0x80u
#define EPWM2B__PORT 12u
#define EPWM2B__PRT CYREG_PRT12_PRT
#define EPWM2B__PRTDSI__DBL_SYNC_IN CYREG_PRT12_DBL_SYNC_IN
#define EPWM2B__PRTDSI__OE_SEL0 CYREG_PRT12_OE_SEL0
#define EPWM2B__PRTDSI__OE_SEL1 CYREG_PRT12_OE_SEL1
#define EPWM2B__PRTDSI__OUT_SEL0 CYREG_PRT12_OUT_SEL0
#define EPWM2B__PRTDSI__OUT_SEL1 CYREG_PRT12_OUT_SEL1
#define EPWM2B__PRTDSI__SYNC_OUT CYREG_PRT12_SYNC_OUT
#define EPWM2B__PS CYREG_PRT12_PS
#define EPWM2B__SHIFT 7u
#define EPWM2B__SIO_CFG CYREG_PRT12_SIO_CFG
#define EPWM2B__SIO_DIFF CYREG_PRT12_SIO_DIFF
#define EPWM2B__SIO_HYST_EN CYREG_PRT12_SIO_HYST_EN
#define EPWM2B__SIO_REG_HIFREQ CYREG_PRT12_SIO_REG_HIFREQ
#define EPWM2B__SLW CYREG_PRT12_SLW

/* PSFB_1_internal_pwm_PWMUDB */
#define PSFB_1_internal_pwm_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__7__MASK 0x80u
#define PSFB_1_internal_pwm_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__7__POS 7
#define PSFB_1_internal_pwm_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__CONTROL_AUX_CTL_REG CYREG_B1_UDB11_ACTL
#define PSFB_1_internal_pwm_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__CONTROL_REG CYREG_B1_UDB11_CTL
#define PSFB_1_internal_pwm_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__CONTROL_ST_REG CYREG_B1_UDB11_ST_CTL
#define PSFB_1_internal_pwm_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__COUNT_REG CYREG_B1_UDB11_CTL
#define PSFB_1_internal_pwm_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__COUNT_ST_REG CYREG_B1_UDB11_ST_CTL
#define PSFB_1_internal_pwm_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__MASK 0x80u
#define PSFB_1_internal_pwm_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__MASK_CTL_AUX_CTL_REG CYREG_B1_UDB11_MSK_ACTL
#define PSFB_1_internal_pwm_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__PER_CTL_AUX_CTL_REG CYREG_B1_UDB11_MSK_ACTL
#define PSFB_1_internal_pwm_PWMUDB_sCTRLReg_SyncCtl_ctrlreg__PERIOD_REG CYREG_B1_UDB11_MSK
#define PSFB_1_internal_pwm_PWMUDB_sP8_pwmdp_u0__16BIT_A0_REG CYREG_B1_UDB08_09_A0
#define PSFB_1_internal_pwm_PWMUDB_sP8_pwmdp_u0__16BIT_A1_REG CYREG_B1_UDB08_09_A1
#define PSFB_1_internal_pwm_PWMUDB_sP8_pwmdp_u0__16BIT_D0_REG CYREG_B1_UDB08_09_D0
#define PSFB_1_internal_pwm_PWMUDB_sP8_pwmdp_u0__16BIT_D1_REG CYREG_B1_UDB08_09_D1
#define PSFB_1_internal_pwm_PWMUDB_sP8_pwmdp_u0__16BIT_DP_AUX_CTL_REG CYREG_B1_UDB08_09_ACTL
#define PSFB_1_internal_pwm_PWMUDB_sP8_pwmdp_u0__16BIT_F0_REG CYREG_B1_UDB08_09_F0
#define PSFB_1_internal_pwm_PWMUDB_sP8_pwmdp_u0__16BIT_F1_REG CYREG_B1_UDB08_09_F1
#define PSFB_1_internal_pwm_PWMUDB_sP8_pwmdp_u0__A0_A1_REG CYREG_B1_UDB08_A0_A1
#define PSFB_1_internal_pwm_PWMUDB_sP8_pwmdp_u0__A0_REG CYREG_B1_UDB08_A0
#define PSFB_1_internal_pwm_PWMUDB_sP8_pwmdp_u0__A1_REG CYREG_B1_UDB08_A1
#define PSFB_1_internal_pwm_PWMUDB_sP8_pwmdp_u0__D0_D1_REG CYREG_B1_UDB08_D0_D1
#define PSFB_1_internal_pwm_PWMUDB_sP8_pwmdp_u0__D0_REG CYREG_B1_UDB08_D0
#define PSFB_1_internal_pwm_PWMUDB_sP8_pwmdp_u0__D1_REG CYREG_B1_UDB08_D1
#define PSFB_1_internal_pwm_PWMUDB_sP8_pwmdp_u0__DP_AUX_CTL_REG CYREG_B1_UDB08_ACTL
#define PSFB_1_internal_pwm_PWMUDB_sP8_pwmdp_u0__F0_F1_REG CYREG_B1_UDB08_F0_F1
#define PSFB_1_internal_pwm_PWMUDB_sP8_pwmdp_u0__F0_REG CYREG_B1_UDB08_F0
#define PSFB_1_internal_pwm_PWMUDB_sP8_pwmdp_u0__F1_REG CYREG_B1_UDB08_F1
#define PSFB_1_internal_pwm_PWMUDB_sP8_pwmdp_u0__MSK_DP_AUX_CTL_REG CYREG_B1_UDB08_MSK_ACTL
#define PSFB_1_internal_pwm_PWMUDB_sP8_pwmdp_u0__PER_DP_AUX_CTL_REG CYREG_B1_UDB08_MSK_ACTL

/* DELAY1A_PWMUDB */
#define DELAY1A_PWMUDB_genblk1_ctrlreg__16BIT_CONTROL_AUX_CTL_REG CYREG_B1_UDB10_11_ACTL
#define DELAY1A_PWMUDB_genblk1_ctrlreg__16BIT_CONTROL_CONTROL_REG CYREG_B1_UDB10_11_CTL
#define DELAY1A_PWMUDB_genblk1_ctrlreg__16BIT_CONTROL_COUNT_REG CYREG_B1_UDB10_11_CTL
#define DELAY1A_PWMUDB_genblk1_ctrlreg__16BIT_COUNT_CONTROL_REG CYREG_B1_UDB10_11_CTL
#define DELAY1A_PWMUDB_genblk1_ctrlreg__16BIT_COUNT_COUNT_REG CYREG_B1_UDB10_11_CTL
#define DELAY1A_PWMUDB_genblk1_ctrlreg__16BIT_MASK_MASK_REG CYREG_B1_UDB10_11_MSK
#define DELAY1A_PWMUDB_genblk1_ctrlreg__16BIT_MASK_PERIOD_REG CYREG_B1_UDB10_11_MSK
#define DELAY1A_PWMUDB_genblk1_ctrlreg__16BIT_PERIOD_MASK_REG CYREG_B1_UDB10_11_MSK
#define DELAY1A_PWMUDB_genblk1_ctrlreg__16BIT_PERIOD_PERIOD_REG CYREG_B1_UDB10_11_MSK
#define DELAY1A_PWMUDB_genblk1_ctrlreg__7__MASK 0x80u
#define DELAY1A_PWMUDB_genblk1_ctrlreg__7__POS 7
#define DELAY1A_PWMUDB_genblk1_ctrlreg__CONTROL_AUX_CTL_REG CYREG_B1_UDB10_ACTL
#define DELAY1A_PWMUDB_genblk1_ctrlreg__CONTROL_REG CYREG_B1_UDB10_CTL
#define DELAY1A_PWMUDB_genblk1_ctrlreg__CONTROL_ST_REG CYREG_B1_UDB10_ST_CTL
#define DELAY1A_PWMUDB_genblk1_ctrlreg__COUNT_REG CYREG_B1_UDB10_CTL
#define DELAY1A_PWMUDB_genblk1_ctrlreg__COUNT_ST_REG CYREG_B1_UDB10_ST_CTL
#define DELAY1A_PWMUDB_genblk1_ctrlreg__MASK 0x80u
#define DELAY1A_PWMUDB_genblk1_ctrlreg__MASK_CTL_AUX_CTL_REG CYREG_B1_UDB10_MSK_ACTL
#define DELAY1A_PWMUDB_genblk1_ctrlreg__PER_CTL_AUX_CTL_REG CYREG_B1_UDB10_MSK_ACTL
#define DELAY1A_PWMUDB_genblk1_ctrlreg__PERIOD_REG CYREG_B1_UDB10_MSK
#define DELAY1A_PWMUDB_sP8_pwmdp_u0__16BIT_A0_REG CYREG_B1_UDB10_11_A0
#define DELAY1A_PWMUDB_sP8_pwmdp_u0__16BIT_A1_REG CYREG_B1_UDB10_11_A1
#define DELAY1A_PWMUDB_sP8_pwmdp_u0__16BIT_D0_REG CYREG_B1_UDB10_11_D0
#define DELAY1A_PWMUDB_sP8_pwmdp_u0__16BIT_D1_REG CYREG_B1_UDB10_11_D1
#define DELAY1A_PWMUDB_sP8_pwmdp_u0__16BIT_DP_AUX_CTL_REG CYREG_B1_UDB10_11_ACTL
#define DELAY1A_PWMUDB_sP8_pwmdp_u0__16BIT_F0_REG CYREG_B1_UDB10_11_F0
#define DELAY1A_PWMUDB_sP8_pwmdp_u0__16BIT_F1_REG CYREG_B1_UDB10_11_F1
#define DELAY1A_PWMUDB_sP8_pwmdp_u0__A0_A1_REG CYREG_B1_UDB10_A0_A1
#define DELAY1A_PWMUDB_sP8_pwmdp_u0__A0_REG CYREG_B1_UDB10_A0
#define DELAY1A_PWMUDB_sP8_pwmdp_u0__A1_REG CYREG_B1_UDB10_A1
#define DELAY1A_PWMUDB_sP8_pwmdp_u0__D0_D1_REG CYREG_B1_UDB10_D0_D1
#define DELAY1A_PWMUDB_sP8_pwmdp_u0__D0_REG CYREG_B1_UDB10_D0
#define DELAY1A_PWMUDB_sP8_pwmdp_u0__D1_REG CYREG_B1_UDB10_D1
#define DELAY1A_PWMUDB_sP8_pwmdp_u0__DP_AUX_CTL_REG CYREG_B1_UDB10_ACTL
#define DELAY1A_PWMUDB_sP8_pwmdp_u0__F0_F1_REG CYREG_B1_UDB10_F0_F1
#define DELAY1A_PWMUDB_sP8_pwmdp_u0__F0_REG CYREG_B1_UDB10_F0
#define DELAY1A_PWMUDB_sP8_pwmdp_u0__F1_REG CYREG_B1_UDB10_F1
#define DELAY1A_PWMUDB_sP8_pwmdp_u0__MSK_DP_AUX_CTL_REG CYREG_B1_UDB10_MSK_ACTL
#define DELAY1A_PWMUDB_sP8_pwmdp_u0__PER_DP_AUX_CTL_REG CYREG_B1_UDB10_MSK_ACTL

/* DELAY1B_PWMUDB */
#define DELAY1B_PWMUDB_genblk1_ctrlreg__16BIT_CONTROL_AUX_CTL_REG CYREG_B1_UDB09_10_ACTL
#define DELAY1B_PWMUDB_genblk1_ctrlreg__16BIT_CONTROL_CONTROL_REG CYREG_B1_UDB09_10_CTL
#define DELAY1B_PWMUDB_genblk1_ctrlreg__16BIT_CONTROL_COUNT_REG CYREG_B1_UDB09_10_CTL
#define DELAY1B_PWMUDB_genblk1_ctrlreg__16BIT_COUNT_CONTROL_REG CYREG_B1_UDB09_10_CTL
#define DELAY1B_PWMUDB_genblk1_ctrlreg__16BIT_COUNT_COUNT_REG CYREG_B1_UDB09_10_CTL
#define DELAY1B_PWMUDB_genblk1_ctrlreg__16BIT_MASK_MASK_REG CYREG_B1_UDB09_10_MSK
#define DELAY1B_PWMUDB_genblk1_ctrlreg__16BIT_MASK_PERIOD_REG CYREG_B1_UDB09_10_MSK
#define DELAY1B_PWMUDB_genblk1_ctrlreg__16BIT_PERIOD_MASK_REG CYREG_B1_UDB09_10_MSK
#define DELAY1B_PWMUDB_genblk1_ctrlreg__16BIT_PERIOD_PERIOD_REG CYREG_B1_UDB09_10_MSK
#define DELAY1B_PWMUDB_genblk1_ctrlreg__7__MASK 0x80u
#define DELAY1B_PWMUDB_genblk1_ctrlreg__7__POS 7
#define DELAY1B_PWMUDB_genblk1_ctrlreg__CONTROL_AUX_CTL_REG CYREG_B1_UDB09_ACTL
#define DELAY1B_PWMUDB_genblk1_ctrlreg__CONTROL_REG CYREG_B1_UDB09_CTL
#define DELAY1B_PWMUDB_genblk1_ctrlreg__CONTROL_ST_REG CYREG_B1_UDB09_ST_CTL
#define DELAY1B_PWMUDB_genblk1_ctrlreg__COUNT_REG CYREG_B1_UDB09_CTL
#define DELAY1B_PWMUDB_genblk1_ctrlreg__COUNT_ST_REG CYREG_B1_UDB09_ST_CTL
#define DELAY1B_PWMUDB_genblk1_ctrlreg__MASK 0x80u
#define DELAY1B_PWMUDB_genblk1_ctrlreg__MASK_CTL_AUX_CTL_REG CYREG_B1_UDB09_MSK_ACTL
#define DELAY1B_PWMUDB_genblk1_ctrlreg__PER_CTL_AUX_CTL_REG CYREG_B1_UDB09_MSK_ACTL
#define DELAY1B_PWMUDB_genblk1_ctrlreg__PERIOD_REG CYREG_B1_UDB09_MSK
#define DELAY1B_PWMUDB_sP8_pwmdp_u0__16BIT_A0_REG CYREG_B1_UDB09_10_A0
#define DELAY1B_PWMUDB_sP8_pwmdp_u0__16BIT_A1_REG CYREG_B1_UDB09_10_A1
#define DELAY1B_PWMUDB_sP8_pwmdp_u0__16BIT_D0_REG CYREG_B1_UDB09_10_D0
#define DELAY1B_PWMUDB_sP8_pwmdp_u0__16BIT_D1_REG CYREG_B1_UDB09_10_D1
#define DELAY1B_PWMUDB_sP8_pwmdp_u0__16BIT_DP_AUX_CTL_REG CYREG_B1_UDB09_10_ACTL
#define DELAY1B_PWMUDB_sP8_pwmdp_u0__16BIT_F0_REG CYREG_B1_UDB09_10_F0
#define DELAY1B_PWMUDB_sP8_pwmdp_u0__16BIT_F1_REG CYREG_B1_UDB09_10_F1
#define DELAY1B_PWMUDB_sP8_pwmdp_u0__A0_A1_REG CYREG_B1_UDB09_A0_A1
#define DELAY1B_PWMUDB_sP8_pwmdp_u0__A0_REG CYREG_B1_UDB09_A0
#define DELAY1B_PWMUDB_sP8_pwmdp_u0__A1_REG CYREG_B1_UDB09_A1
#define DELAY1B_PWMUDB_sP8_pwmdp_u0__D0_D1_REG CYREG_B1_UDB09_D0_D1
#define DELAY1B_PWMUDB_sP8_pwmdp_u0__D0_REG CYREG_B1_UDB09_D0
#define DELAY1B_PWMUDB_sP8_pwmdp_u0__D1_REG CYREG_B1_UDB09_D1
#define DELAY1B_PWMUDB_sP8_pwmdp_u0__DP_AUX_CTL_REG CYREG_B1_UDB09_ACTL
#define DELAY1B_PWMUDB_sP8_pwmdp_u0__F0_F1_REG CYREG_B1_UDB09_F0_F1
#define DELAY1B_PWMUDB_sP8_pwmdp_u0__F0_REG CYREG_B1_UDB09_F0
#define DELAY1B_PWMUDB_sP8_pwmdp_u0__F1_REG CYREG_B1_UDB09_F1
#define DELAY1B_PWMUDB_sP8_pwmdp_u0__MSK_DP_AUX_CTL_REG CYREG_B1_UDB09_MSK_ACTL
#define DELAY1B_PWMUDB_sP8_pwmdp_u0__PER_DP_AUX_CTL_REG CYREG_B1_UDB09_MSK_ACTL

/* DELAY2A_PWMUDB */
#define DELAY2A_PWMUDB_genblk1_ctrlreg__16BIT_CONTROL_AUX_CTL_REG CYREG_B0_UDB08_09_ACTL
#define DELAY2A_PWMUDB_genblk1_ctrlreg__16BIT_CONTROL_CONTROL_REG CYREG_B0_UDB08_09_CTL
#define DELAY2A_PWMUDB_genblk1_ctrlreg__16BIT_CONTROL_COUNT_REG CYREG_B0_UDB08_09_CTL
#define DELAY2A_PWMUDB_genblk1_ctrlreg__16BIT_COUNT_CONTROL_REG CYREG_B0_UDB08_09_CTL
#define DELAY2A_PWMUDB_genblk1_ctrlreg__16BIT_COUNT_COUNT_REG CYREG_B0_UDB08_09_CTL
#define DELAY2A_PWMUDB_genblk1_ctrlreg__16BIT_MASK_MASK_REG CYREG_B0_UDB08_09_MSK
#define DELAY2A_PWMUDB_genblk1_ctrlreg__16BIT_MASK_PERIOD_REG CYREG_B0_UDB08_09_MSK
#define DELAY2A_PWMUDB_genblk1_ctrlreg__16BIT_PERIOD_MASK_REG CYREG_B0_UDB08_09_MSK
#define DELAY2A_PWMUDB_genblk1_ctrlreg__16BIT_PERIOD_PERIOD_REG CYREG_B0_UDB08_09_MSK
#define DELAY2A_PWMUDB_genblk1_ctrlreg__7__MASK 0x80u
#define DELAY2A_PWMUDB_genblk1_ctrlreg__7__POS 7
#define DELAY2A_PWMUDB_genblk1_ctrlreg__CONTROL_AUX_CTL_REG CYREG_B0_UDB08_ACTL
#define DELAY2A_PWMUDB_genblk1_ctrlreg__CONTROL_REG CYREG_B0_UDB08_CTL
#define DELAY2A_PWMUDB_genblk1_ctrlreg__CONTROL_ST_REG CYREG_B0_UDB08_ST_CTL
#define DELAY2A_PWMUDB_genblk1_ctrlreg__COUNT_REG CYREG_B0_UDB08_CTL
#define DELAY2A_PWMUDB_genblk1_ctrlreg__COUNT_ST_REG CYREG_B0_UDB08_ST_CTL
#define DELAY2A_PWMUDB_genblk1_ctrlreg__MASK 0x80u
#define DELAY2A_PWMUDB_genblk1_ctrlreg__MASK_CTL_AUX_CTL_REG CYREG_B0_UDB08_MSK_ACTL
#define DELAY2A_PWMUDB_genblk1_ctrlreg__PER_CTL_AUX_CTL_REG CYREG_B0_UDB08_MSK_ACTL
#define DELAY2A_PWMUDB_genblk1_ctrlreg__PERIOD_REG CYREG_B0_UDB08_MSK
#define DELAY2A_PWMUDB_sP8_pwmdp_u0__16BIT_A0_REG CYREG_B0_UDB08_09_A0
#define DELAY2A_PWMUDB_sP8_pwmdp_u0__16BIT_A1_REG CYREG_B0_UDB08_09_A1
#define DELAY2A_PWMUDB_sP8_pwmdp_u0__16BIT_D0_REG CYREG_B0_UDB08_09_D0
#define DELAY2A_PWMUDB_sP8_pwmdp_u0__16BIT_D1_REG CYREG_B0_UDB08_09_D1
#define DELAY2A_PWMUDB_sP8_pwmdp_u0__16BIT_DP_AUX_CTL_REG CYREG_B0_UDB08_09_ACTL
#define DELAY2A_PWMUDB_sP8_pwmdp_u0__16BIT_F0_REG CYREG_B0_UDB08_09_F0
#define DELAY2A_PWMUDB_sP8_pwmdp_u0__16BIT_F1_REG CYREG_B0_UDB08_09_F1
#define DELAY2A_PWMUDB_sP8_pwmdp_u0__A0_A1_REG CYREG_B0_UDB08_A0_A1
#define DELAY2A_PWMUDB_sP8_pwmdp_u0__A0_REG CYREG_B0_UDB08_A0
#define DELAY2A_PWMUDB_sP8_pwmdp_u0__A1_REG CYREG_B0_UDB08_A1
#define DELAY2A_PWMUDB_sP8_pwmdp_u0__D0_D1_REG CYREG_B0_UDB08_D0_D1
#define DELAY2A_PWMUDB_sP8_pwmdp_u0__D0_REG CYREG_B0_UDB08_D0
#define DELAY2A_PWMUDB_sP8_pwmdp_u0__D1_REG CYREG_B0_UDB08_D1
#define DELAY2A_PWMUDB_sP8_pwmdp_u0__DP_AUX_CTL_REG CYREG_B0_UDB08_ACTL
#define DELAY2A_PWMUDB_sP8_pwmdp_u0__F0_F1_REG CYREG_B0_UDB08_F0_F1
#define DELAY2A_PWMUDB_sP8_pwmdp_u0__F0_REG CYREG_B0_UDB08_F0
#define DELAY2A_PWMUDB_sP8_pwmdp_u0__F1_REG CYREG_B0_UDB08_F1
#define DELAY2A_PWMUDB_sP8_pwmdp_u0__MSK_DP_AUX_CTL_REG CYREG_B0_UDB08_MSK_ACTL
#define DELAY2A_PWMUDB_sP8_pwmdp_u0__PER_DP_AUX_CTL_REG CYREG_B0_UDB08_MSK_ACTL

/* DELAY2B_PWMUDB */
#define DELAY2B_PWMUDB_genblk1_ctrlreg__16BIT_CONTROL_AUX_CTL_REG CYREG_B0_UDB09_10_ACTL
#define DELAY2B_PWMUDB_genblk1_ctrlreg__16BIT_CONTROL_CONTROL_REG CYREG_B0_UDB09_10_CTL
#define DELAY2B_PWMUDB_genblk1_ctrlreg__16BIT_CONTROL_COUNT_REG CYREG_B0_UDB09_10_CTL
#define DELAY2B_PWMUDB_genblk1_ctrlreg__16BIT_COUNT_CONTROL_REG CYREG_B0_UDB09_10_CTL
#define DELAY2B_PWMUDB_genblk1_ctrlreg__16BIT_COUNT_COUNT_REG CYREG_B0_UDB09_10_CTL
#define DELAY2B_PWMUDB_genblk1_ctrlreg__16BIT_MASK_MASK_REG CYREG_B0_UDB09_10_MSK
#define DELAY2B_PWMUDB_genblk1_ctrlreg__16BIT_MASK_PERIOD_REG CYREG_B0_UDB09_10_MSK
#define DELAY2B_PWMUDB_genblk1_ctrlreg__16BIT_PERIOD_MASK_REG CYREG_B0_UDB09_10_MSK
#define DELAY2B_PWMUDB_genblk1_ctrlreg__16BIT_PERIOD_PERIOD_REG CYREG_B0_UDB09_10_MSK
#define DELAY2B_PWMUDB_genblk1_ctrlreg__7__MASK 0x80u
#define DELAY2B_PWMUDB_genblk1_ctrlreg__7__POS 7
#define DELAY2B_PWMUDB_genblk1_ctrlreg__CONTROL_AUX_CTL_REG CYREG_B0_UDB09_ACTL
#define DELAY2B_PWMUDB_genblk1_ctrlreg__CONTROL_REG CYREG_B0_UDB09_CTL
#define DELAY2B_PWMUDB_genblk1_ctrlreg__CONTROL_ST_REG CYREG_B0_UDB09_ST_CTL
#define DELAY2B_PWMUDB_genblk1_ctrlreg__COUNT_REG CYREG_B0_UDB09_CTL
#define DELAY2B_PWMUDB_genblk1_ctrlreg__COUNT_ST_REG CYREG_B0_UDB09_ST_CTL
#define DELAY2B_PWMUDB_genblk1_ctrlreg__MASK 0x80u
#define DELAY2B_PWMUDB_genblk1_ctrlreg__MASK_CTL_AUX_CTL_REG CYREG_B0_UDB09_MSK_ACTL
#define DELAY2B_PWMUDB_genblk1_ctrlreg__PER_CTL_AUX_CTL_REG CYREG_B0_UDB09_MSK_ACTL
#define DELAY2B_PWMUDB_genblk1_ctrlreg__PERIOD_REG CYREG_B0_UDB09_MSK
#define DELAY2B_PWMUDB_sP8_pwmdp_u0__16BIT_A0_REG CYREG_B0_UDB09_10_A0
#define DELAY2B_PWMUDB_sP8_pwmdp_u0__16BIT_A1_REG CYREG_B0_UDB09_10_A1
#define DELAY2B_PWMUDB_sP8_pwmdp_u0__16BIT_D0_REG CYREG_B0_UDB09_10_D0
#define DELAY2B_PWMUDB_sP8_pwmdp_u0__16BIT_D1_REG CYREG_B0_UDB09_10_D1
#define DELAY2B_PWMUDB_sP8_pwmdp_u0__16BIT_DP_AUX_CTL_REG CYREG_B0_UDB09_10_ACTL
#define DELAY2B_PWMUDB_sP8_pwmdp_u0__16BIT_F0_REG CYREG_B0_UDB09_10_F0
#define DELAY2B_PWMUDB_sP8_pwmdp_u0__16BIT_F1_REG CYREG_B0_UDB09_10_F1
#define DELAY2B_PWMUDB_sP8_pwmdp_u0__A0_A1_REG CYREG_B0_UDB09_A0_A1
#define DELAY2B_PWMUDB_sP8_pwmdp_u0__A0_REG CYREG_B0_UDB09_A0
#define DELAY2B_PWMUDB_sP8_pwmdp_u0__A1_REG CYREG_B0_UDB09_A1
#define DELAY2B_PWMUDB_sP8_pwmdp_u0__D0_D1_REG CYREG_B0_UDB09_D0_D1
#define DELAY2B_PWMUDB_sP8_pwmdp_u0__D0_REG CYREG_B0_UDB09_D0
#define DELAY2B_PWMUDB_sP8_pwmdp_u0__D1_REG CYREG_B0_UDB09_D1
#define DELAY2B_PWMUDB_sP8_pwmdp_u0__DP_AUX_CTL_REG CYREG_B0_UDB09_ACTL
#define DELAY2B_PWMUDB_sP8_pwmdp_u0__F0_F1_REG CYREG_B0_UDB09_F0_F1
#define DELAY2B_PWMUDB_sP8_pwmdp_u0__F0_REG CYREG_B0_UDB09_F0
#define DELAY2B_PWMUDB_sP8_pwmdp_u0__F1_REG CYREG_B0_UDB09_F1
#define DELAY2B_PWMUDB_sP8_pwmdp_u0__MSK_DP_AUX_CTL_REG CYREG_B0_UDB09_MSK_ACTL
#define DELAY2B_PWMUDB_sP8_pwmdp_u0__PER_DP_AUX_CTL_REG CYREG_B0_UDB09_MSK_ACTL

/* PSFB_CTRL */
#define PSFB_CTRL_Sync_ctrl_reg__0__MASK 0x01u
#define PSFB_CTRL_Sync_ctrl_reg__0__POS 0
#define PSFB_CTRL_Sync_ctrl_reg__1__MASK 0x02u
#define PSFB_CTRL_Sync_ctrl_reg__1__POS 1
#define PSFB_CTRL_Sync_ctrl_reg__16BIT_CONTROL_AUX_CTL_REG CYREG_B1_UDB08_09_ACTL
#define PSFB_CTRL_Sync_ctrl_reg__16BIT_CONTROL_CONTROL_REG CYREG_B1_UDB08_09_CTL
#define PSFB_CTRL_Sync_ctrl_reg__16BIT_CONTROL_COUNT_REG CYREG_B1_UDB08_09_CTL
#define PSFB_CTRL_Sync_ctrl_reg__16BIT_COUNT_CONTROL_REG CYREG_B1_UDB08_09_CTL
#define PSFB_CTRL_Sync_ctrl_reg__16BIT_COUNT_COUNT_REG CYREG_B1_UDB08_09_CTL
#define PSFB_CTRL_Sync_ctrl_reg__16BIT_MASK_MASK_REG CYREG_B1_UDB08_09_MSK
#define PSFB_CTRL_Sync_ctrl_reg__16BIT_MASK_PERIOD_REG CYREG_B1_UDB08_09_MSK
#define PSFB_CTRL_Sync_ctrl_reg__16BIT_PERIOD_MASK_REG CYREG_B1_UDB08_09_MSK
#define PSFB_CTRL_Sync_ctrl_reg__16BIT_PERIOD_PERIOD_REG CYREG_B1_UDB08_09_MSK
#define PSFB_CTRL_Sync_ctrl_reg__CONTROL_AUX_CTL_REG CYREG_B1_UDB08_ACTL
#define PSFB_CTRL_Sync_ctrl_reg__CONTROL_REG CYREG_B1_UDB08_CTL
#define PSFB_CTRL_Sync_ctrl_reg__CONTROL_ST_REG CYREG_B1_UDB08_ST_CTL
#define PSFB_CTRL_Sync_ctrl_reg__COUNT_REG CYREG_B1_UDB08_CTL
#define PSFB_CTRL_Sync_ctrl_reg__COUNT_ST_REG CYREG_B1_UDB08_ST_CTL
#define PSFB_CTRL_Sync_ctrl_reg__MASK 0x03u
#define PSFB_CTRL_Sync_ctrl_reg__MASK_CTL_AUX_CTL_REG CYREG_B1_UDB08_MSK_ACTL
#define PSFB_CTRL_Sync_ctrl_reg__PER_CTL_AUX_CTL_REG CYREG_B1_UDB08_MSK_ACTL
#define PSFB_CTRL_Sync_ctrl_reg__PERIOD_REG CYREG_B1_UDB08_MSK

/* ADC_DelSig_1_DEC */
#define ADC_DelSig_1_DEC__COHER CYREG_DEC_COHER
#define ADC_DelSig_1_DEC__CR CYREG_DEC_CR
#define ADC_DelSig_1_DEC__DR1 CYREG_DEC_DR1
#define ADC_DelSig_1_DEC__DR2 CYREG_DEC_DR2
#define ADC_DelSig_1_DEC__DR2H CYREG_DEC_DR2H
#define ADC_DelSig_1_DEC__GCOR CYREG_DEC_GCOR
#define ADC_DelSig_1_DEC__GCORH CYREG_DEC_GCORH
#define ADC_DelSig_1_DEC__GVAL CYREG_DEC_GVAL
#define ADC_DelSig_1_DEC__OCOR CYREG_DEC_OCOR
#define ADC_DelSig_1_DEC__OCORH CYREG_DEC_OCORH
#define ADC_DelSig_1_DEC__OCORM CYREG_DEC_OCORM
#define ADC_DelSig_1_DEC__OUTSAMP CYREG_DEC_OUTSAMP
#define ADC_DelSig_1_DEC__OUTSAMPH CYREG_DEC_OUTSAMPH
#define ADC_DelSig_1_DEC__OUTSAMPM CYREG_DEC_OUTSAMPM
#define ADC_DelSig_1_DEC__OUTSAMPS CYREG_DEC_OUTSAMPS
#define ADC_DelSig_1_DEC__PM_ACT_CFG CYREG_PM_ACT_CFG10
#define ADC_DelSig_1_DEC__PM_ACT_MSK 0x01u
#define ADC_DelSig_1_DEC__PM_STBY_CFG CYREG_PM_STBY_CFG10
#define ADC_DelSig_1_DEC__PM_STBY_MSK 0x01u
#define ADC_DelSig_1_DEC__SHIFT1 CYREG_DEC_SHIFT1
#define ADC_DelSig_1_DEC__SHIFT2 CYREG_DEC_SHIFT2
#define ADC_DelSig_1_DEC__SR CYREG_DEC_SR
#define ADC_DelSig_1_DEC__TRIM__M1 CYREG_FLSHID_CUST_TABLES_DEC_M1
#define ADC_DelSig_1_DEC__TRIM__M2 CYREG_FLSHID_CUST_TABLES_DEC_M2
#define ADC_DelSig_1_DEC__TRIM__M3 CYREG_FLSHID_CUST_TABLES_DEC_M3
#define ADC_DelSig_1_DEC__TRIM__M4 CYREG_FLSHID_CUST_TABLES_DEC_M4
#define ADC_DelSig_1_DEC__TRIM__M5 CYREG_FLSHID_CUST_TABLES_DEC_M5
#define ADC_DelSig_1_DEC__TRIM__M6 CYREG_FLSHID_CUST_TABLES_DEC_M6
#define ADC_DelSig_1_DEC__TRIM__M7 CYREG_FLSHID_CUST_TABLES_DEC_M7
#define ADC_DelSig_1_DEC__TRIM__M8 CYREG_FLSHID_CUST_TABLES_DEC_M8

/* ADC_DelSig_1_DSM */
#define ADC_DelSig_1_DSM__BUF0 CYREG_DSM0_BUF0
#define ADC_DelSig_1_DSM__BUF1 CYREG_DSM0_BUF1
#define ADC_DelSig_1_DSM__BUF2 CYREG_DSM0_BUF2
#define ADC_DelSig_1_DSM__BUF3 CYREG_DSM0_BUF3
#define ADC_DelSig_1_DSM__CLK CYREG_DSM0_CLK
#define ADC_DelSig_1_DSM__CR0 CYREG_DSM0_CR0
#define ADC_DelSig_1_DSM__CR1 CYREG_DSM0_CR1
#define ADC_DelSig_1_DSM__CR10 CYREG_DSM0_CR10
#define ADC_DelSig_1_DSM__CR11 CYREG_DSM0_CR11
#define ADC_DelSig_1_DSM__CR12 CYREG_DSM0_CR12
#define ADC_DelSig_1_DSM__CR13 CYREG_DSM0_CR13
#define ADC_DelSig_1_DSM__CR14 CYREG_DSM0_CR14
#define ADC_DelSig_1_DSM__CR15 CYREG_DSM0_CR15
#define ADC_DelSig_1_DSM__CR16 CYREG_DSM0_CR16
#define ADC_DelSig_1_DSM__CR17 CYREG_DSM0_CR17
#define ADC_DelSig_1_DSM__CR2 CYREG_DSM0_CR2
#define ADC_DelSig_1_DSM__CR3 CYREG_DSM0_CR3
#define ADC_DelSig_1_DSM__CR4 CYREG_DSM0_CR4
#define ADC_DelSig_1_DSM__CR5 CYREG_DSM0_CR5
#define ADC_DelSig_1_DSM__CR6 CYREG_DSM0_CR6
#define ADC_DelSig_1_DSM__CR7 CYREG_DSM0_CR7
#define ADC_DelSig_1_DSM__CR8 CYREG_DSM0_CR8
#define ADC_DelSig_1_DSM__CR9 CYREG_DSM0_CR9
#define ADC_DelSig_1_DSM__DEM0 CYREG_DSM0_DEM0
#define ADC_DelSig_1_DSM__DEM1 CYREG_DSM0_DEM1
#define ADC_DelSig_1_DSM__MISC CYREG_DSM0_MISC
#define ADC_DelSig_1_DSM__OUT0 CYREG_DSM0_OUT0
#define ADC_DelSig_1_DSM__OUT1 CYREG_DSM0_OUT1
#define ADC_DelSig_1_DSM__REF0 CYREG_DSM0_REF0
#define ADC_DelSig_1_DSM__REF1 CYREG_DSM0_REF1
#define ADC_DelSig_1_DSM__REF2 CYREG_DSM0_REF2
#define ADC_DelSig_1_DSM__REF3 CYREG_DSM0_REF3
#define ADC_DelSig_1_DSM__RSVD1 CYREG_DSM0_RSVD1
#define ADC_DelSig_1_DSM__SW0 CYREG_DSM0_SW0
#define ADC_DelSig_1_DSM__SW2 CYREG_DSM0_SW2
#define ADC_DelSig_1_DSM__SW3 CYREG_DSM0_SW3
#define ADC_DelSig_1_DSM__SW4 CYREG_DSM0_SW4
#define ADC_DelSig_1_DSM__SW6 CYREG_DSM0_SW6
#define ADC_DelSig_1_DSM__TR0 CYREG_NPUMP_DSM_TR0
#define ADC_DelSig_1_DSM__TST0 CYREG_DSM0_TST0
#define ADC_DelSig_1_DSM__TST1 CYREG_DSM0_TST1

/* ADC_DelSig_1_Ext_CP_Clk */
#define ADC_DelSig_1_Ext_CP_Clk__CFG0 CYREG_CLKDIST_DCFG0_CFG0
#define ADC_DelSig_1_Ext_CP_Clk__CFG1 CYREG_CLKDIST_DCFG0_CFG1
#define ADC_DelSig_1_Ext_CP_Clk__CFG2 CYREG_CLKDIST_DCFG0_CFG2
#define ADC_DelSig_1_Ext_CP_Clk__CFG2_SRC_SEL_MASK 0x07u
#define ADC_DelSig_1_Ext_CP_Clk__INDEX 0x00u
#define ADC_DelSig_1_Ext_CP_Clk__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define ADC_DelSig_1_Ext_CP_Clk__PM_ACT_MSK 0x01u
#define ADC_DelSig_1_Ext_CP_Clk__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define ADC_DelSig_1_Ext_CP_Clk__PM_STBY_MSK 0x01u

/* ADC_DelSig_1_IRQ */
#define ADC_DelSig_1_IRQ__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define ADC_DelSig_1_IRQ__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define ADC_DelSig_1_IRQ__INTC_MASK 0x20000000u
#define ADC_DelSig_1_IRQ__INTC_NUMBER 29u
#define ADC_DelSig_1_IRQ__INTC_PRIOR_NUM 7u
#define ADC_DelSig_1_IRQ__INTC_PRIOR_REG CYREG_NVIC_PRI_29
#define ADC_DelSig_1_IRQ__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define ADC_DelSig_1_IRQ__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* ADC_DelSig_1_theACLK */
#define ADC_DelSig_1_theACLK__CFG0 CYREG_CLKDIST_ACFG0_CFG0
#define ADC_DelSig_1_theACLK__CFG1 CYREG_CLKDIST_ACFG0_CFG1
#define ADC_DelSig_1_theACLK__CFG2 CYREG_CLKDIST_ACFG0_CFG2
#define ADC_DelSig_1_theACLK__CFG2_SRC_SEL_MASK 0x07u
#define ADC_DelSig_1_theACLK__CFG3 CYREG_CLKDIST_ACFG0_CFG3
#define ADC_DelSig_1_theACLK__CFG3_PHASE_DLY_MASK 0x0Fu
#define ADC_DelSig_1_theACLK__INDEX 0x00u
#define ADC_DelSig_1_theACLK__PM_ACT_CFG CYREG_PM_ACT_CFG1
#define ADC_DelSig_1_theACLK__PM_ACT_MSK 0x01u
#define ADC_DelSig_1_theACLK__PM_STBY_CFG CYREG_PM_STBY_CFG1
#define ADC_DelSig_1_theACLK__PM_STBY_MSK 0x01u

/* Miscellaneous */
#define BCLK__BUS_CLK__HZ 48000000U
#define BCLK__BUS_CLK__KHZ 48000U
#define BCLK__BUS_CLK__MHZ 48U
#define CY_PROJECT_NAME "Sample Sine PSFB with delay"
#define CY_VERSION "PSoC Creator  3.3 SP2"
#define CYDEV_CHIP_DIE_LEOPARD 1u
#define CYDEV_CHIP_DIE_PANTHER 19u
#define CYDEV_CHIP_DIE_PSOC4A 11u
#define CYDEV_CHIP_DIE_PSOC5LP 18u
#define CYDEV_CHIP_DIE_TMA4 2u
#define CYDEV_CHIP_DIE_UNKNOWN 0u
#define CYDEV_CHIP_FAMILY_PSOC3 1u
#define CYDEV_CHIP_FAMILY_PSOC4 2u
#define CYDEV_CHIP_FAMILY_PSOC5 3u
#define CYDEV_CHIP_FAMILY_UNKNOWN 0u
#define CYDEV_CHIP_FAMILY_USED CYDEV_CHIP_FAMILY_PSOC5
#define CYDEV_CHIP_JTAG_ID 0x2E123069u
#define CYDEV_CHIP_MEMBER_3A 1u
#define CYDEV_CHIP_MEMBER_4A 11u
#define CYDEV_CHIP_MEMBER_4C 16u
#define CYDEV_CHIP_MEMBER_4D 7u
#define CYDEV_CHIP_MEMBER_4E 4u
#define CYDEV_CHIP_MEMBER_4F 12u
#define CYDEV_CHIP_MEMBER_4G 2u
#define CYDEV_CHIP_MEMBER_4H 10u
#define CYDEV_CHIP_MEMBER_4I 15u
#define CYDEV_CHIP_MEMBER_4J 8u
#define CYDEV_CHIP_MEMBER_4K 9u
#define CYDEV_CHIP_MEMBER_4L 14u
#define CYDEV_CHIP_MEMBER_4M 13u
#define CYDEV_CHIP_MEMBER_4N 6u
#define CYDEV_CHIP_MEMBER_4O 5u
#define CYDEV_CHIP_MEMBER_4U 3u
#define CYDEV_CHIP_MEMBER_5A 18u
#define CYDEV_CHIP_MEMBER_5B 17u
#define CYDEV_CHIP_MEMBER_UNKNOWN 0u
#define CYDEV_CHIP_MEMBER_USED CYDEV_CHIP_MEMBER_5B
#define CYDEV_CHIP_DIE_EXPECT CYDEV_CHIP_MEMBER_USED
#define CYDEV_CHIP_DIE_ACTUAL CYDEV_CHIP_DIE_EXPECT
#define CYDEV_CHIP_REV_LEOPARD_ES1 0u
#define CYDEV_CHIP_REV_LEOPARD_ES2 1u
#define CYDEV_CHIP_REV_LEOPARD_ES3 3u
#define CYDEV_CHIP_REV_LEOPARD_PRODUCTION 3u
#define CYDEV_CHIP_REV_PANTHER_ES0 0u
#define CYDEV_CHIP_REV_PANTHER_ES1 1u
#define CYDEV_CHIP_REV_PANTHER_PRODUCTION 1u
#define CYDEV_CHIP_REV_PSOC4A_ES0 17u
#define CYDEV_CHIP_REV_PSOC4A_PRODUCTION 17u
#define CYDEV_CHIP_REV_PSOC5LP_ES0 0u
#define CYDEV_CHIP_REV_PSOC5LP_PRODUCTION 0u
#define CYDEV_CHIP_REV_TMA4_ES 17u
#define CYDEV_CHIP_REV_TMA4_ES2 33u
#define CYDEV_CHIP_REV_TMA4_PRODUCTION 17u
#define CYDEV_CHIP_REVISION_3A_ES1 0u
#define CYDEV_CHIP_REVISION_3A_ES2 1u
#define CYDEV_CHIP_REVISION_3A_ES3 3u
#define CYDEV_CHIP_REVISION_3A_PRODUCTION 3u
#define CYDEV_CHIP_REVISION_4A_ES0 17u
#define CYDEV_CHIP_REVISION_4A_PRODUCTION 17u
#define CYDEV_CHIP_REVISION_4C_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4D_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4E_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4F_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4F_PRODUCTION_256DMA 0u
#define CYDEV_CHIP_REVISION_4F_PRODUCTION_256K 0u
#define CYDEV_CHIP_REVISION_4G_ES 17u
#define CYDEV_CHIP_REVISION_4G_ES2 33u
#define CYDEV_CHIP_REVISION_4G_PRODUCTION 17u
#define CYDEV_CHIP_REVISION_4H_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4I_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4J_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4K_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4L_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4M_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4N_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4O_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4U_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_5A_ES0 0u
#define CYDEV_CHIP_REVISION_5A_ES1 1u
#define CYDEV_CHIP_REVISION_5A_PRODUCTION 1u
#define CYDEV_CHIP_REVISION_5B_ES0 0u
#define CYDEV_CHIP_REVISION_5B_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_USED CYDEV_CHIP_REVISION_5B_PRODUCTION
#define CYDEV_CHIP_REV_EXPECT CYDEV_CHIP_REVISION_USED
#define CYDEV_CONFIG_FASTBOOT_ENABLED 1
#define CYDEV_CONFIG_UNUSED_IO_AllowButWarn 0
#define CYDEV_CONFIG_UNUSED_IO CYDEV_CONFIG_UNUSED_IO_AllowButWarn
#define CYDEV_CONFIG_UNUSED_IO_AllowWithInfo 1
#define CYDEV_CONFIG_UNUSED_IO_Disallowed 2
#define CYDEV_CONFIGURATION_COMPRESSED 1
#define CYDEV_CONFIGURATION_DMA 0
#define CYDEV_CONFIGURATION_ECC 1
#define CYDEV_CONFIGURATION_IMOENABLED CYDEV_CONFIG_FASTBOOT_ENABLED
#define CYDEV_CONFIGURATION_MODE_COMPRESSED 0
#define CYDEV_CONFIGURATION_MODE CYDEV_CONFIGURATION_MODE_COMPRESSED
#define CYDEV_CONFIGURATION_MODE_DMA 2
#define CYDEV_CONFIGURATION_MODE_UNCOMPRESSED 1
#define CYDEV_DEBUG_ENABLE_MASK 0x20u
#define CYDEV_DEBUG_ENABLE_REGISTER CYREG_MLOGIC_DEBUG
#define CYDEV_DEBUGGING_DPS_Disable 3
#define CYDEV_DEBUGGING_DPS_JTAG_4 1
#define CYDEV_DEBUGGING_DPS_JTAG_5 0
#define CYDEV_DEBUGGING_DPS_SWD 2
#define CYDEV_DEBUGGING_DPS_SWD_SWV 6
#define CYDEV_DEBUGGING_DPS CYDEV_DEBUGGING_DPS_SWD_SWV
#define CYDEV_DEBUGGING_ENABLE 1
#define CYDEV_DEBUGGING_XRES 0
#define CYDEV_DMA_CHANNELS_AVAILABLE 24u
#define CYDEV_ECC_ENABLE 0
#define CYDEV_HEAP_SIZE 0x80
#define CYDEV_INSTRUCT_CACHE_ENABLED 1
#define CYDEV_INTR_RISING 0x00000000u
#define CYDEV_IS_EXPORTING_CODE 0
#define CYDEV_IS_IMPORTING_CODE 0
#define CYDEV_PROJ_TYPE 0
#define CYDEV_PROJ_TYPE_BOOTLOADER 1
#define CYDEV_PROJ_TYPE_LAUNCHER 5
#define CYDEV_PROJ_TYPE_LOADABLE 2
#define CYDEV_PROJ_TYPE_LOADABLEANDBOOTLOADER 4
#define CYDEV_PROJ_TYPE_MULTIAPPBOOTLOADER 3
#define CYDEV_PROJ_TYPE_STANDARD 0
#define CYDEV_PROTECTION_ENABLE 0
#define CYDEV_STACK_SIZE 0x0800
#define CYDEV_USE_BUNDLED_CMSIS 1
#define CYDEV_VARIABLE_VDDA 0
#define CYDEV_VDDA 5.0
#define CYDEV_VDDA_MV 5000
#define CYDEV_VDDD 5.0
#define CYDEV_VDDD_MV 5000
#define CYDEV_VDDIO0 5.0
#define CYDEV_VDDIO0_MV 5000
#define CYDEV_VDDIO1 5.0
#define CYDEV_VDDIO1_MV 5000
#define CYDEV_VDDIO2 5.0
#define CYDEV_VDDIO2_MV 5000
#define CYDEV_VDDIO3 5.0
#define CYDEV_VDDIO3_MV 5000
#define CYDEV_VIO0 5.0
#define CYDEV_VIO0_MV 5000
#define CYDEV_VIO1 5.0
#define CYDEV_VIO1_MV 5000
#define CYDEV_VIO2 5.0
#define CYDEV_VIO2_MV 5000
#define CYDEV_VIO3 5.0
#define CYDEV_VIO3_MV 5000
#define CYIPBLOCK_ARM_CM3_VERSION 0
#define CYIPBLOCK_P3_ANAIF_VERSION 0
#define CYIPBLOCK_P3_CAN_VERSION 0
#define CYIPBLOCK_P3_CAPSENSE_VERSION 0
#define CYIPBLOCK_P3_COMP_VERSION 0
#define CYIPBLOCK_P3_DECIMATOR_VERSION 0
#define CYIPBLOCK_P3_DFB_VERSION 0
#define CYIPBLOCK_P3_DMA_VERSION 0
#define CYIPBLOCK_P3_DRQ_VERSION 0
#define CYIPBLOCK_P3_DSM_VERSION 0
#define CYIPBLOCK_P3_EMIF_VERSION 0
#define CYIPBLOCK_P3_I2C_VERSION 0
#define CYIPBLOCK_P3_LCD_VERSION 0
#define CYIPBLOCK_P3_LPF_VERSION 0
#define CYIPBLOCK_P3_OPAMP_VERSION 0
#define CYIPBLOCK_P3_PM_VERSION 0
#define CYIPBLOCK_P3_SCCT_VERSION 0
#define CYIPBLOCK_P3_TIMER_VERSION 0
#define CYIPBLOCK_P3_USB_VERSION 0
#define CYIPBLOCK_P3_VIDAC_VERSION 0
#define CYIPBLOCK_P3_VREF_VERSION 0
#define CYIPBLOCK_S8_GPIO_VERSION 0
#define CYIPBLOCK_S8_IRQ_VERSION 0
#define CYIPBLOCK_S8_SAR_VERSION 0
#define CYIPBLOCK_S8_SIO_VERSION 0
#define CYIPBLOCK_S8_UDB_VERSION 0
#define DMA_CHANNELS_USED__MASK0 0x00000000u
#define CYDEV_BOOTLOADER_ENABLE 0

#endif /* INCLUDED_CYFITTER_H */
