/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include <project.h>
uint8 sine_table[101] = {255, 254, 253, 252, 251, 250, 248, 246, 244, 242, 239, 237, 233, 230,
                        227, 223, 219, 215, 210, 206, 201, 196, 191, 185, 180, 174, 168, 162,
                        156, 149, 143, 136, 129, 122, 115, 108, 101, 93, 86, 78, 71, 63, 55, 47,
                        39, 31, 23, 16, 8, 0, 0, 8, 16, 23, 31, 39, 47, 55, 63, 71, 78, 86, 93,
                        101, 108, 115, 122, 129, 136, 143, 149, 156, 162, 168, 174, 180, 185, 191,
                        196, 201, 206, 210, 215, 219, 223, 227, 230, 233, 237, 239, 242, 244, 246,
                        248, 250, 251, 252, 253, 254, 255};

int i = 0;

int main()
{
    /* Start the Phase-Shifted Full-Bridge */
	PSFB_1_Start();
	DELAY1A_Start();
	DELAY1B_Start();
	DELAY2A_Start();
	DELAY2B_Start();
	PSFB_CTRL_Write(0x02);

	/* Loop forever here */
    for(;;)
    {		
		/* Put the value on the phase-shifted full-bridge */
        for(i = 0; i < 101; i++)
        {
            PSFB_1_WriteCompare(sine_table[i]);
        }
		if(i==101)
        {
            i=0;
        }
    }
}
/* [] END OF FILE */
